Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## grails.web
[Java] Annotation Type Action

    java.lang.Object
      grails.web.Action

    @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
    @java.lang.annotation.Target({ElementType.METHOD})
    public @interface Action

An annotation to mark controller methods as actions.

Authors:
  Stephane Maldini

Since:
  2.0

Optional Element Summary
`java.lang.Class` | `commandObjects` @default {}

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Element Detail

### commandObjects

    public java.lang.Class[] commandObjects

  @default {}

Groovy Documentation